C
C  *****************************************************************
C  *                                                               *
C  *    Copyright (c) Digital Equipment Corporation, 1994          *
C  *                                                               *
C  *   All Rights Reserved.  Unpublished rights  reserved  under   *
C  *   the copyright laws of the United States.                    *
C  *                                                               *
C  *   The software contained on this media  is  proprietary  to   *
C  *   and  embodies  the  confidential  technology  of  Digital   *
C  *   Equipment Corporation.  Possession, use,  duplication  or   *
C  *   dissemination of the software and media is authorized only  *
C  *   pursuant to a valid written license from Digital Equipment  *
C  *   Corporation.                                                *
C  *                                                               *
C  *   RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
C  *   by the U.S. Government is subject to restrictions  as  set  *
C  *   forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
C  *   or  in  FAR 52.227-19, as applicable.                       *
C  *                                                               *
C  *****************************************************************
C
C  shcom.f
C

	INTEGER		SHCOM_SUCCESS
	INTEGER		SHCOM_LOADER_FAILED
	INTEGER		SHCOM_BAD_ADDRESS
	INTEGER		SHCOM_BAD_FILE
	INTEGER		SHCOM_LOCK_FAILED
	INTEGER		SHCOM_INIT_FAILED
	INTEGER		SHCOM_UNMAP_FAILED
	INTEGER		SHCOM_MAP_FAILED
	INTEGER		SHCOM_MALLOC_FAILED

	PARAMETER	(SHCOM_SUCCESS        =  0)
	PARAMETER	(SHCOM_LOADER_FAILED  = -1)
	PARAMETER	(SHCOM_BAD_ADDRESS    = -2)
	PARAMETER	(SHCOM_BAD_FILE       = -3)
	PARAMETER	(SHCOM_LOCK_FAILED    = -4)
	PARAMETER	(SHCOM_INIT_FAILED    = -5)
	PARAMETER	(SHCOM_UNMAP_FAILED   = -6)
	PARAMETER	(SHCOM_MAP_FAILED     = -7)
	PARAMETER	(SHCOM_MALLOC_FAILED  = -8)

